<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->

    <title>Dobble Social Network</title>

    <!-- Bootstrap core CSS -->
    <link th:href="@{css/profile_css/bootstrap.min.css}" href="../static/css/profile_css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link th:href="@{css/profile_css/style.css}" href="../static/css/profile_css/style.css" rel="stylesheet">

    <link th:href="@{css/profile_css/font-awesome.min.css}" href="../static/css/profile_css/font-awesome.min.css" rel="stylesheet">

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.11.2/css/all.css"
          integrity="sha384-KA6wR/X5RY4zFAHpv/CnoG2UW1uogYfdnP67Uv7eULvTveboZJg0qUpmJZb5VqzN" crossorigin="anonymous">

</head>

<body>
<header>
    <div class="container">
        <img th:src="@{/img/logo.png}" src="../static/img/logo.png" class="logo"/>
        	<form class="form-inline">
                <ul class="nav navbar-nav ml-auto">
                    <li class="nav-item">
                        <a sec:authorize="isAnonymous()" class="nav-link" href="register"><span class="fas fa-user"></span> Sign Up</a>
                    </li>
                    <li class="nav-item">
                        <a sec:authorize="isAnonymous()" class="nav-link" href="login"><span class="fas fa-sign-in-alt"></span> Login</a>
                    </li>
                    <li class="nav-item">
                        <a sec:authorize="isAuthenticated()" href="/logout"><span class="fas fa-sign-in-alt"></span> Logout</a>
                    </li>
                </ul>
        	</form>
    </div>

</header>
<nav class="navbar navbar-default">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
            <ul class="nav navbar-nav">
                <li class="active"><a href="/posts">Home</a></li>
                <li><a href="members">Members</a></li>
                <li><a sec:authorize="hasRole('ROLE_ADMIN') || hasRole('ROLE_USER')"  href="profile">Profile</a></li>
                <li><a sec:authorize="hasRole('ROLE_ADMIN')" href="admin">Admin Panel</a></li>
            </ul>
        </div><!--/.nav-collapse -->
    </div>
</nav>

<section>
    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <div sec:authorize="hasRole('ROLE_ADMIN') || hasRole('ROLE_USER')" class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title">Wall</h3>
                    </div>
                    <div class="panel-body">
                        <form onsubmit="return validatePostForm()" name="post-form" th:action="@{/posts/}" th:object="${post}" method="post">
                            <div class="form-group">
                                <textarea name="content" class="form-control" placeholder="Write on the wall"></textarea>
                            </div>
                            <div class="form-group" style="float: right; display: inline-block">
                                <div class="form-check">
                                    Make Post Private: <input name="status"
                                                              class="form-check-input position-static"
                                                              type="checkbox" id="blankCheckbox" value="1"
                                                              aria-label="...">
                                </div>
                            </div>
                            <button type="submit" class="btn btn-default">Submit</button>
                            <div class="pull-right">
                            </div> <!-- pull-right -->
                        </form>
                    </div> <!-- panel body -->
                </div> <!-- panel -->

                <div id="postObj"></div>

            </div> <!-- md 8 -->

            <!-- SIDEBAR -->
            <div class="col-md-4" style="float: right; position: relative;">
                <div class="panel panel-default friends">
                    <div class="panel-heading">
                        <h3 class="panel-title">Registered Users</h3>
                    </div>
                    <div class="panel-body">
                        <ul>
                            <div id="registered-users">


                            </div>
                        </ul>

                        <div class="clearfix"></div> <!-- clear floats -->
                    </div> <!-- panel-body -->
                </div> <!-- panel -->
            </div> <!-- md 4 -->

        </div> <!-- row -->
    </div> <!-- container -->
</section>

<footer>
    <div class="container">
        <p></p>
    </div> <!-- container -->
</footer>


<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script th:src="@{/js/functions.js}" src="../static/js/functions.js"></script>
<script th:src="@{/js/newsfeed.js}" src="../static/js/newsfeed.js"></script>
</body>
</html>
